# Idempotent ansible role for luks

# Configuration example

    luks_passphrase: CHANGE_ME
    
    luks_devices:
      - name: "nvme0n1p1-decrypted"
        device: "/dev/nvme0n1p1"
        passphrase: "{{ luks_passphrase }}"
        persistent: true
        perf_no_read_workqueue: true
        perf_no_write_workqueue: true
        perf_same_cpu_crypt: true
        allow_discards: true
      - name: "nvme1n1p1-decrypted"
        device: "/dev/nvme1n1p1"
        passphrase: "{{ luks_passphrase }}"
        persistent: true
        perf_no_read_workqueue: true
        perf_no_write_workqueue: true
        perf_same_cpu_crypt: true
        allow_discards: true

